<?
require_once ('system/func.php');
auth(); // только для авторизованных
access(2); // права ползователя
$title = 'Служба поддержки';
require_once ('system/header.php');
$set['p_str'] = 20;
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `ticket`"),0);
$k_page = k_page($k_post,$set['p_str']);
$page = page($k_page);
$start = $set['p_str']*$page-$set['p_str'];
$q = mysql_query("SELECT * FROM `ticket` ORDER BY `id` DESC LIMIT $start, $set[p_str]");
echo "<div class='block2'>";
if($k_post == 0) echo "<h1>Обращений не найдено...</h1>";
while($post = mysql_fetch_assoc($q)) {
$onlick = mysql_result(mysql_query("SELECT COUNT(*) FROM `ticket_msg` WHERE `id_ticket` = '$post[id]' AND `onlick` = '1' AND `tip` = 'user'"),0);
if($post['status'] == 'close')echo "<li><a href='/ticket/$post[id]/'>".ico('icons','arrow.png')."<font color='red'>".rez_text($post['text'])."</font> ".($onlick >= 1 ? "<font color='green'>(+)</font>" : "")."</a></li>";
else echo "<li><a href='/ticket/$post[id]/'>".ico('icons','arrow.png')."".rez_text($post['text'])." ".($onlick >= 1 ? "<font color='green'>(+)</font>" : "")."</a></li>";
}
echo "</div>";
echo "<div class='block'>";
str('?',$k_page,$page); // Вывод страниц
echo "</div>";
echo "<a href='/settGame' class='link'>".ico('icons','arrow.png')." Вернуться назад</a>";
require_once ('system/footer.php');
?>
